package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.BannerInfo;

import java.util.List;

public interface BannerInfoMapper {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public BannerInfo selectBannerInfoById(String id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param bannerInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<BannerInfo> selectBannerInfoList(BannerInfo bannerInfo);

    /**
     * 新增【请填写功能名称】
     *
     * @param bannerInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertBannerInfo(BannerInfo bannerInfo);

    /**
     * 修改【请填写功能名称】
     *
     * @param bannerInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateBannerInfo(BannerInfo bannerInfo);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteBannerInfoById(String id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBannerInfoByIds(String[] ids);

    List<BannerInfo> selectEnableBanner();
}